Page MenuHomePhabricator

Consider Elastic/CirrusSearch index update in Wikibase daily browser tests
Open, LowPublic

Description

Wikibase daily browser test job https://integration.wikimedia.org/ci/view/Selenium/job/selenium-Wikibase-chrome/ is targeting test.wikidata.org. This site uses Elastic-backed search. Unlike other half of the job which targets beta wikidata (no Elastic there), the test.wikidata.org job is constantly failing because of set of tests fail.
It seems those tests fail because after creating test data (property or item) the test fails because the test data is not found in Wikibase search widgets due to CirrusSearch/Elastic index not being updated yet and not have the just created test data in

The test targeting test.wikidata.org should only proceed once Elastic/Cirrus indexes have been updated.

Event Timeline

WMDE-leszek triaged this task as Low priority.Feb 28 2018, 1:38 PM
WMDE-leszek created this task.
WMDE-leszek moved this task from Backlog to In Progress on the Wikidata-Sprint-2018-02-28 board.

Change 415282 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Longer wait periods for waiting for Cirrus in browser tests

https://gerrit.wikimedia.org/r/415282

Change 415282 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Longer wait periods for waiting for Cirrus in browser tests

https://gerrit.wikimedia.org/r/415282

Change 415326 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Browser tests: fix the bug in entity_module::page_index_updated

https://gerrit.wikimedia.org/r/415326

Change 415326 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Browser tests: fix the bug in entity_module::page_index_updated

https://gerrit.wikimedia.org/r/415326

Lydia_Pintscher moved this task from incoming to in progress on the Wikidata board.Mar 5 2018, 3:54 PM

It seems all patches here are merge and it's not clear what's left to do.

Aklapper removed WMDE-leszek as the assignee of this task.Jun 19 2020, 4:27 PM

This task has been assigned to the same task owner for more than two years. Resetting task assignee due to inactivity, to decrease task cookie-licking and to get a slightly more realistic overview of plans. Please feel free to assign this task to yourself again if you still realistically work or plan to work on this task - it would be welcome!

For tips how to manage individual work in Phabricator (noisy notifications, lists of task, etc.), see https://phabricator.wikimedia.org/T228575#6237124 for available options.
(For the records, two emails were sent to assignee addresses before resetting assignees. See T228575 for more info and for potential feedback. Thanks!)